Skip to main content
GET
List vault audit events
Returns policy, authorization, provisioning and worker audit events for the account Vault. Page with limit (up to 100, default 20) and cursor.

Authorizations

Authorization
string
header
required

HTTP Basic auth. Username is the Stableyard app ID. Password is the app secret. The optional Stableyard-Version request header must match the environment pin.

Headers

Stableyard-Version
enum<string>

Optional contract-version assertion. Omit it to use the app environment's pinned version. A different supported version is accepted only after that environment is explicitly migrated.

Available options:
2026-09-09

Path Parameters

accountId
string
required

Canonical account id returned by the Accounts API.

Example:

"acct_123"

Query Parameters

limit
integer
default:20

Maximum Vault records to return.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor returned as nextCursor by the previous page.

Response

Vault audit events

data
object[]
required
nextCursor
string